%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate openssl

Name:           rust-openssl
Version:        0.10.64
Release:    1%{?dist}
Summary:        OpenSSL bindings

License:        Apache-2.0
URL:            https://crates.io/crates/openssl
Source0:         %{crates_source}
Patch:          openssl-fix-metadata.diff
Patch:          0001-set-PROFILE-SYSTEM-as-default-cipher-list.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
OpenSSL bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v101-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v101-devel %{_description}

This package contains library source intended for building other packages which
use the "v101" feature of the "%{crate}" crate.

%files       -n %{name}+v101-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v102-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v102-devel %{_description}

This package contains library source intended for building other packages which
use the "v102" feature of the "%{crate}" crate.

%files       -n %{name}+v102-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v110-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v110-devel %{_description}

This package contains library source intended for building other packages which
use the "v110" feature of the "%{crate}" crate.

%files       -n %{name}+v110-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v111-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v111-devel %{_description}

This package contains library source intended for building other packages which
use the "v111" feature of the "%{crate}" crate.

%files       -n %{name}+v111-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --exact --skip pkey_ctx::test::ecdsa_deterministic_signature
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.64-1
- initial build
